mlpack_gmm_probability(1)

NAME
mlpack_gmm_probability - gmm probability calculator

SYNOPSIS
 mlpack_gmm_probability -i string -m unknown [-V bool] [-o string] [-h -v]

DESCRIPTION
This program calculates the probability that given points came from a given GMM (that is, P(X | gmm)). The GMM is specified with the '--input_model_file (-m)' parameter, and the points are specified with the '--input_file (-i)' parameter. The output probabilities may be saved via the '--output_file (-o)' output parameter.

So, for example, to calculate the probabilities of each point in 'points.csv' coming from the pre-trained GMM 'gmm.bin', while storing those probabilities in 'probs.csv', the following command could be used:

$ mlpack_gmm_probability --input_model_file gmm.bin --input_file points.csv --output_file probs.csv

REQUIRED INPUT OPTIONS

--input_file (-i) [string]
    Input matrix to calculate probabilities of.

--input_model_file (-m) [unknown]
    Input GMM to use as model.

OPTIONAL INPUT OPTIONS

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--output_file (-o) [string]
    Matrix to store calculated probabilities in.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.